 package com.leanwo.activiti.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

/**
 * @author YangZhiJie
 * @date 2022/07/21
 */
 @Configuration
 @RefreshScope
public class EmailConfiguration {

     private static Logger logger = LoggerFactory.getLogger(EmailConfiguration.class);
     
     @Value("${mail.server.host}")
     private String mailServerHost;

     @Value("${mail.server.port}")
     private Integer mailServerPort;

     @Value("${mail.server.defaultFrom}")
     private String mailServerDefaultFrom;

     @Value("${mail.server.userName}")
     private String mailServerUsername;

     @Value("${mail.server.password}")
     private String mailServerPassword;

     @Value("${mail.server.useSSL}")
     private Boolean mailServerUseSSL;

     @Value("${mail.server.useTLS}")
     private Boolean mailServerUseTLS;
     
     
    public String getMailServerHost() {
        return mailServerHost;
    }

    public void setMailServerHost(String mailServerHost) {
        this.mailServerHost = mailServerHost;
    }

    public Integer getMailServerPort() {
        return mailServerPort;
    }

    public void setMailServerPort(Integer mailServerPort) {
        this.mailServerPort = mailServerPort;
    }

    public String getMailServerDefaultFrom() {
        return mailServerDefaultFrom;
    }

    public void setMailServerDefaultFrom(String mailServerDefaultFrom) {
        this.mailServerDefaultFrom = mailServerDefaultFrom;
    }

    public String getMailServerUsername() {
        return mailServerUsername;
    }

    public void setMailServerUsername(String mailServerUsername) {
        this.mailServerUsername = mailServerUsername;
    }

    public String getMailServerPassword() {
        return mailServerPassword;
    }

    public void setMailServerPassword(String mailServerPassword) {
        this.mailServerPassword = mailServerPassword;
    }

    public Boolean getMailServerUseSSL() {
        return mailServerUseSSL;
    }

    public void setMailServerUseSSL(Boolean mailServerUseSSL) {
        this.mailServerUseSSL = mailServerUseSSL;
    }

	public Boolean getMailServerUseTLS() {
		return mailServerUseTLS;
	}

	public void setMailServerUseTLS(Boolean mailServerUseTLS) {
		this.mailServerUseTLS = mailServerUseTLS;
	}
}
